#!/bin/sh
set -eu

EXCLUDE='(sh/templates/|aux/assert-todos.sh|scripts/pastebin.sh|scripts/post.sh|sh/util.sh|docbook-xsl.tar.gz)'
if git grep FIXME | grep -Ev "$EXCLUDE"; then
  echo "Found dangling FIXME markers on the project."
  echo "You should write them down properly on TODOs.org."
  exit 1
fi
